Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.content.presentationtemplate
Interface IPublishablePresentationTemplateManager

All Superinterfaces:
  IPresentationTemplateManager

public interface IPublishablePresentationTemplateManager
extends IPresentationTemplateManager

Interface for managing `IPresentationTemplate`s that do not have an associated `IDataEntryTemplate` and can be published standalone (without a content item). When used with `IPublishablePresentationTemplateManager`, the `IPresentationTemplate`s template text represents static content, usually HTML. Because there is no Data Entry Template nor content item associated with a publishable Presentation Template, PCS tags in the template text are not replaced at publishing time.

The following example demonstrates publishing a Presentation Template.

     String templateText = "<HTML><BODY>This is static HTML content.</BODY></HTML>";
     IPresentationTemplate presentationTemplate = publishablePTManager.createPresentationTemplate(
       containingFolder, "Publishable Presentation Template", templateText);
     presentationTemplate.store();
     // If the IPresentationTemplate was attached to an IDataEntryTemplate it would not be publishable.
     if(presentationTemplate.isPublishable())
     {
       publishablePTManager.publishPresentationTemplate(presentationTemplate);
       // Retrieve the URL via: presentationTemplate.getPublishURL();
     }

Method Summary
`void` | `expirePresentationTemplate(IPresentationTemplate presentationTemplate)` Expires an `IPresentationTemplate` so it is no longer published.
`void` | `previewPresentationTemplate(IPresentationTemplate presentationTemplate)` Previews the `IPresentationTemplate` and copies it to a preview target set internally by Publisher.
`void` | `publishPresentationTemplate(IPresentationTemplate presentationTemplate)` Publishes the `IPresentationTemplate` and copies it to a publishing target set in Publisher.
`void` | `unexpirePresentationTemplate(IPresentationTemplate presentationTemplate)` Re-publishes the `IPresentationTemplate`, and removes the item from its expired state if `expirePresentationTemplate` has been previously called.

Methods inherited from interface com.plumtree.remote.prc.content.presentationtemplate.IPresentationTemplateManager
`createPresentationTemplate, getPresentationTemplate, getPresentationTemplates, removePresentationTemplate, validateTemplateText`

Method Detail

### expirePresentationTemplate

    public void expirePresentationTemplate(IPresentationTemplate presentationTemplate)
                                    throws ContentSecurityException,
                                           ContentException,
                                           java.rmi.RemoteException

  Expires an `IPresentationTemplate` so it is no longer published. This method removes the published content for a Presentation Template from the publish target of Publisher. After a Presentation Template is expired, `unexpirePresentationTemplate` can be used to re-publish the item. Presentation Templates cannot be expired multiple times consecutively.

  Parameters:
    `presentationTemplate` - the Presentation Template to expire; cannot be `null`
  Throws:
    `ContentSecurityException` - if the user does not have permission to expire the Presentation Template
    `java.lang.IllegalStateException` - if the the Presentation Template has not been persisted or has already been removed
    `ContentException` - if the method call resulted in a Publisher exception. For example, expiring a Presentation Template multiple times or expiring a Presentation Template that has not been published will cause this exception.
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call

### previewPresentationTemplate

    public void previewPresentationTemplate(IPresentationTemplate presentationTemplate)
                                     throws ContentSecurityException,
                                            ContentException,
                                            java.rmi.RemoteException

  Previews the `IPresentationTemplate` and copies it to a preview target set internally by Publisher. The preview URL can be retrieved via `IPresentationTemplate.getPreviewURL` method. An `IllegalStateException` will be thrown if there is an `IDataEntryTemplate` associated with this Presentation Template.

  Refer to the Administrator Guide for AquaLogic Interaction Publisher for more details about previewing.

  For an example of using previewPresentationTemplate, refer to `IPublishablePresentationTemplateManager`

  Parameters:
    `presentationTemplate` - the Presentation Template to be previewed; cannot be `null`
  Throws:
    `ContentSecurityException` - if the user does not have permission to preview the Presentation Template
    `java.lang.IllegalStateException` - if the Presentation Template has an associated `IDataEntryTemplate`
    `ContentException` - if the method call resulted in a Publisher exception
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call

### publishPresentationTemplate

    public void publishPresentationTemplate(IPresentationTemplate presentationTemplate)
                                     throws ContentSecurityException,
                                            ContentException,
                                            java.rmi.RemoteException

  Publishes the `IPresentationTemplate` and copies it to a publishing target set in Publisher. This method should be called prior to retrieving the publish URL via `IPresentationTemplate.getPublishURL` method, otherwise an `IllegalStateException` will be thrown. An `IllegalStateException` will also be thrown if the `IPresentationTemplate` has an associated `IDataEntryTemplate`. `IPresentationTemplate.getAttachedDataEntryTemplate` can be used to check this.

  Refer to the Administrator Guide for AquaLogic Interaction Publisher for more details about publishing.

  For an example of using publishPresentationTemplate, refer to `IPublishablePresentationTemplateManager`

  Parameters:
    `presentationTemplate` - the Presentation Template to be published; cannot be `null`
  Throws:
    `ContentSecurityException` - if the user does not have permission to publish the item
    `java.lang.IllegalStateException` - if the Presentation Template has an associated `IDataEntryTemplate`
    `ContentException` - if the method call resulted in a Publisher exception. This includes situations where the attached `IPresentationTemplate` contains invalid template text.
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call

### unexpirePresentationTemplate

    public void unexpirePresentationTemplate(IPresentationTemplate presentationTemplate)
                                      throws ContentSecurityException,
                                             ContentException,
                                             java.rmi.RemoteException

  Re-publishes the `IPresentationTemplate`, and removes the item from its expired state if `expirePresentationTemplate` has been previously called.

  The template must be in the expired state prior to calling this method, otherwise a `ContentException` will be thrown.

  Parameters:
    `presentationTemplate` - the Presentation Template to un-expire and re-publish; cannot be `null`
  Throws:
    `ContentSecurityException` - if the user does not have permission to un-expire or publish the Presentation Template
    `java.lang.IllegalStateException` - if the the Presentation Template is not in the expired state, has not been persisted, or has already been removed
    `ContentException` - if the Presentation Template is not in expired state, or if the method call resulted in a Publisher exception
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.